Subject: Re: status of kexec for ppc on 2.6.10, any gotchas?

From: R Sharada <[email-masked]>
Date: Fri, 21 Oct 2005 16:32:08 +0530

Kexec support involves kernel level support per architecture and 
a user space kexec-tools.

	Generic kexec kernel support for ppc (ppc32/GameCube) was added 
sometime back by Albert Herranz, and I think they got included in 2.6.10-mm1 
as per:
http://www.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.10/2.6.10-mm1/broken-out/
	 Albert's code was also posted on this site:
http://www.gc-linux.org/down/isobel/kexec/
	ppc64 kexec kernel support was added recently (2.6.12-rc4-mm1)
	Eric's site can be used for downloading the kexec-tools.
	
	You may want to cross post kexec discussion mails to [email-masked],
as that is the primary list where all kexec discussions happen.

Hope this helps
Thanks and Regards,
Sharada

On Thu, Oct 20, 2005 at 11:03:52PM -0600, Christopher Friesen wrote:
> 
> I've been asked to look at kexec for ppc on 2.6.10.  The syscall appears 
> to be present, but there seem to be additional patches for 2.6.10-mm at:
> 
> http://www.xmission.com/~ebiederm/files/kexec/
> 
> Are these patches needed?
> 
> I haven't been able to find any current official documentation, although 
> I found some old stuff from 2.5 and a writeup at:
> 
> http://www-128.ibm.com/developerworks/linux/library/l-kexec.html?ca=dgr-lnxw04RebootFast
> 
> Is there any official HOWTO on this?  Any issues I should look at in 
> particular?
> 
> Thanks for any pointers,
> 
> Chris
> -
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/
> 
>